Example #1
0
 public Skeths(Skeths sketh)
 {
     line        = sketh.line;
     binding     = sketh.binding;
     dimension   = sketh.dimension;
     validation  = sketh.validation;
     SmartSelect = sketh.SmartSelect;
 }
Example #2
0
 public FeatureCut(Skeths sketh,
                   bool Sd,
                   bool Flip,
                   bool Dir,
                   int T1,
                   int T2,
                   double D1,
                   double D2,
                   bool Dchk1,
                   bool Dchk2,
                   bool Ddir1,
                   bool Ddir2,
                   double Dang1,
                   double Dang2,
                   bool OffsetReverse1,
                   bool OffsetReverse2,
                   bool TranslateSurface1,
                   bool TranslateSurface2,
                   bool NormalCut,
                   bool UseFeatScope,
                   bool UseAutoSelect,
                   bool AssemblyFeatureScope,
                   bool AutoSelectComponents,
                   bool PropagateFeatureToParts,
                   int T0,
                   double StartOffset,
                   bool FlipStartOffset)
     : base(sketh)
 {
     this.Sd                      = Sd;
     this.Flip                    = Flip;
     this.Dir                     = Dir;
     this.T1                      = T1;
     this.T2                      = T2;
     this.D1                      = D1;
     this.D2                      = D2;
     this.Dchk1                   = Dchk1;
     this.Dchk2                   = Dchk2;
     this.Ddir1                   = Ddir1;
     this.Ddir2                   = Ddir2;
     this.Dang1                   = Dang1;
     this.Dang2                   = Dang2;
     this.OffsetReverse1          = OffsetReverse1;
     this.OffsetReverse2          = OffsetReverse2;
     this.TranslateSurface1       = TranslateSurface1;
     this.TranslateSurface2       = TranslateSurface2;
     this.NormalCut               = NormalCut;
     this.UseFeatScope            = UseFeatScope;
     this.UseAutoSelect           = UseAutoSelect;
     this.AssemblyFeatureScope    = AssemblyFeatureScope;
     this.AutoSelectComponents    = AutoSelectComponents;
     this.PropagateFeatureToParts = PropagateFeatureToParts;
     this.T0                      = T0;
     this.StartOffset             = StartOffset;
     this.FlipStartOffset         = FlipStartOffset;
 }
Example #3
0
 public void setCountDimention(String name, Double value)
 {
     foreach (Iitem I in item)
     {
         Skeths ske = I as Skeths;
         if (ske != null)
         {
             ske.Setcountdimension(name, value);
         }
     }
 }
Example #4
0
 public FeatureExtrusion(Skeths sketh,
                         bool Sd,
                         bool Flip,
                         bool Dir,
                         int T1,
                         int T2,
                         double D1,
                         double D2,
                         bool Dchk1,
                         bool Dchk2,
                         bool Ddir1,
                         bool Ddir2,
                         double Dang1,
                         double Dang2,
                         bool OffsetReverse1,
                         bool OffsetReverse2,
                         bool TranslateSurface1,
                         bool TranslateSurface2,
                         bool Merge,
                         bool UseFeatScope,
                         bool UseAutoSelect,
                         int T0,
                         double StartOffset,
                         bool FlipStartOffset)
     : base(sketh)
 {
     this.Sd                = Sd;
     this.Flip              = Flip;
     this.Dir               = Dir;
     this.T1                = T1;
     this.T2                = T2;
     this.D1                = D1;
     this.D2                = D2;
     this.Dchk1             = Dchk1;
     this.Dchk2             = Dchk2;
     this.Ddir1             = Ddir1;
     this.Ddir2             = Ddir2;
     this.Dang1             = Dang1;
     this.Dang2             = Dang2;
     this.OffsetReverse1    = OffsetReverse1;
     this.OffsetReverse2    = OffsetReverse2;
     this.TranslateSurface1 = TranslateSurface1;
     this.TranslateSurface2 = TranslateSurface2;
     this.Merge             = Merge;
     this.UseFeatScope      = UseFeatScope;
     this.UseAutoSelect     = UseAutoSelect;
     this.T0                = T0;
     this.StartOffset       = StartOffset;
     this.FlipStartOffset   = FlipStartOffset;
 }
Example #5
0
 public void setDimensions(ModelDoc2 swModel)
 {
     if (swModel != null)
     {
         foreach (Iitem I in item)
         {
             Skeths ske = I as Skeths;
             if (ske != null)
             {
                 ske.setDim(swModel);
             }
         }
     }
 }
Example #6
0
 public void getNameDimention(ComboBox cbox)
 {
     cbox.Items.Clear();
     foreach (Iitem I in item)
     {
         Skeths ske = I as Skeths;
         if (ske != null)
         {
             cbox.Items.AddRange(ske.Getlistdimension());
         }
     }
     if (item.Count != 0 && cbox.Items.Count != 0)
     {
         cbox.SelectedIndex = 0;
     }
 }
Example #7
0
 public FeatureRevolve(Skeths sketh,
                       bool SingleDir,
                       bool IsSolid,
                       bool IsThin,
                       bool IsCut,
                       bool ReverseDir,
                       bool BothDirectionUpToSameEntity,
                       int Dir1Type,
                       int Dir2Type,
                       double Dir1Angle,
                       double Dir2Angle,
                       bool OffsetReverse1,
                       bool OffsetReverse2,
                       double OffsetDistance1,
                       double OffsetDistance2,
                       int ThinType,
                       double ThinThickness1,
                       double ThinThickness2,
                       bool Merge,
                       bool UseFeatScope,
                       bool UseAutoSelect,
                       string[] listcount) : base(sketh)
 {
     this.SingleDir  = SingleDir;
     this.IsSolid    = IsSolid;
     this.IsThin     = IsThin;
     this.IsCut      = IsCut;
     this.ReverseDir = ReverseDir;
     this.BothDirectionUpToSameEntity = BothDirectionUpToSameEntity;
     this.Dir1Type        = Dir1Type;
     this.Dir2Type        = Dir2Type;
     this.Dir1Angle       = Dir1Angle;
     this.Dir2Angle       = Dir2Angle;
     this.OffsetReverse1  = OffsetReverse1;
     this.OffsetReverse2  = OffsetReverse2;
     this.OffsetDistance1 = OffsetDistance1;
     this.OffsetDistance2 = OffsetDistance2;
     this.ThinType        = ThinType;
     this.ThinThickness1  = ThinThickness1;
     this.ThinThickness2  = ThinThickness2;
     this.Merge           = Merge;
     this.UseFeatScope    = UseFeatScope;
     this.UseAutoSelect   = UseAutoSelect;
     this.Sselect         = new BindingList <string>(listcount.OfType <String>().ToList());
 }
Example #8
0
        public double getCountDimention(String name)
        {
            foreach (Iitem I in item)
            {
                Skeths ske = I as Skeths;
                if (ske != null)
                {
                    String[] str = ske.Getlistdimension();

                    for (int i = 0; i < str.Length; i++)
                    {
                        if (name == str[i])
                        {
                            return(ske.Getcountdimension(name));
                        }
                    }
                }
            }
            return(0.0);
        }
Example #9
0
        public bool isValidation(ModelDoc2 swModel, out String Message)
        {
            if (swModel != null)
            {
                foreach (Iitem I in item)
                {
                    Skeths ske = I as Skeths;
                    if (ske != null)
                    {
                        if (!ske.isValidation(swModel, out Message))
                        {
                            return(false);
                        }
                    }
                }
            }

            Message = "Все вірно!";
            return(true);
        }